ApiEndPointHost (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiEndPointHost

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiEndPointHost

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiEndPointHost
      extends Object

  A host endPoint for a service.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiEndPointHost()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiEndPointHost` | `addEndPointConfigsItem(ApiMapEntry endPointConfigsItem)`
    `ApiEndPointHost` | `endPointConfigs(List<ApiMapEntry> endPointConfigs)`
    `boolean` | `equals(Object o)`
    `List<ApiMapEntry>` | `getEndPointConfigs()` EndPointHost specific configs.
    `String` | `getType()` Get endPointHost type.
    `String` | `getUri()` Uri for the endPoint.
    `int` | `hashCode()`
    `void` | `setEndPointConfigs(List<ApiMapEntry> endPointConfigs)`
    `void` | `setType(String type)`
    `void` | `setUri(String uri)`
    `String` | `toString()`
    `ApiEndPointHost` | `type(String type)`
    `ApiEndPointHost` | `uri(String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiEndPointHost

          public ApiEndPointHost()

  - ### Method Detail

    - #### uri

          public ApiEndPointHost uri(String uri)

    - #### getUri

          public String getUri()

      Uri for the endPoint.
      Returns:
        uri

    - #### setUri

          public void setUri(String uri)

    - #### endPointConfigs

          public ApiEndPointHost endPointConfigs(List<ApiMapEntry> endPointConfigs)

    - #### addEndPointConfigsItem

          public ApiEndPointHost addEndPointConfigsItem(ApiMapEntry endPointConfigsItem)

    - #### getEndPointConfigs

          public List<ApiMapEntry> getEndPointConfigs()

      EndPointHost specific configs.
      Returns:
        endPointConfigs

    - #### setEndPointConfigs

          public void setEndPointConfigs(List<ApiMapEntry> endPointConfigs)

    - #### type

          public ApiEndPointHost type(String type)

    - #### getType

          public String getType()

      Get endPointHost type.
      Returns:
        type

    - #### setType

          public void setType(String type)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.